
/**
 * constantRoutes
 * a base page that does not have permission requirements
 * all roles can be accessed
 */
 let defaultRouters = [
    {
      path: '/',
      redirect: '/private/home',
    },
    {
      path: '/login',
      name: 'login',
      hidden: true,
      component: () => import('gcloud-oauth-vue/packages/gcloud-login/src/xyLogin.vue')
    },
    ,
    {
      path: '/forget',
      name: 'forget',
      hidden: true,
      component: () => import('gcloud-oauth-vue/packages/gcloud-forget/src/main.vue')
    },
  ]
  
  export  { defaultRouters }