/* Layout */
import Layout from 'gcloud-oauth-vue/src/layout/index.vue'

const dictRouters = [{
  path: '/private/os',
  component: Layout,
  children: [{
      path: 'dictType',
      component: () => import('gcloud-dict-vue/packages/dict-type/src/main.vue'),
      name: 'DictType',
      meta: {
        title: "字典类型管理"
      }
    },
    {
      path: 'dictEntry',
      component: () => import('gcloud-dict-vue/packages/dict-entry/src/main.vue'),
      name: 'DictEntry',
      meta: {
        title: "普通字典管理"
      }
    },
    {
      path: 'dictLayEntry',
      component: () => import('gcloud-dict-vue/packages/dict-level/src/main.vue'),
      name: 'DictLayEntry',
      meta: {
        title: "层级字典管理"
      }
    }
  ]
}]

export {
  dictRouters
};