const path = require('path')
const NODE_ENV = process.env.NODE_ENV

function resolve(dir) {
  return path.join(__dirname, dir)
}
module.exports = {
  publicPath: './',
  pages: {
    index: {
      entry: 'examples/main.js', // 入口
      template: 'examples/index.html',
      filename: 'index.html',
      title: '县域财政资金管理平台',
      chunks: ['chunk-vendors', 'chunk-common', 'index']
    }
  },
  chainWebpack: config => {
    config.resolve.alias
    .set('@', resolve('src'))
    .set('assets', resolve('src/asset'))
    const types = ['vue-modules', 'vue', 'normal-modules', 'normal']
    // types.forEach(type => addStyleResource(config.module.rule('less').oneOf(type)))
    // types.forEach(type => addStyleResource(config.module.rule('sass').oneOf(type)))
  }
}

// 引入全局style
// function addStyleResource(rule) {
//   rule.use('style-resource')
//     .loader('style-resources-loader')
//     .options({
//       // patterns: [path.resolve(__dirname, "./src/styles/index.less")]
//     })
// }